at.chipkarte.client.prop.soap

## Class Anamnese

- Object
- - at.chipkarte.client.prop.soap.Anamnese

-     public class Anamnese
      extends Object

  Beinhaltet die Eingangsdaten zur Erfassung des Präoperativen Befundes.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Anamnese()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `AnamneseData` | `getAnamneseData()` Anamnesedaten.
    `EkvkPatient` | `getEkvkPatient()` Patientendaten eines Patienten ohne SV-Nummer.
    `String` | `getErstellerId()` Id des Erstellers.
    `String` | `getErstellerName()` Name des Erstellers.
    `Long` | `getKonsultationId()` Id der Konsultation.
    `String` | `getSvNummer()` Sozialversicherungsnummer des Patienten.
    `void` | `setAnamneseData(AnamneseData anamneseData)`
    `void` | `setEkvkPatient(EkvkPatient ekvkPatient)`
    `void` | `setErstellerId(String erstellerId)`
    `void` | `setErstellerName(String erstellerName)`
    `void` | `setKonsultationId(Long konsultationId)`
    `void` | `setSvNummer(String svNummer)`

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Anamnese

          public Anamnese()

  - ### Method Detail

    - #### getSvNummer

          public String getSvNummer()

      Sozialversicherungsnummer des Patienten.
      Es muss entweder eine `svNummer` oder ein mit e-card erstelltes `cardToken` oder ein `ekvkPatient` angegeben werden.
      Wird die SV-Nummer und ein CardToken angegeben, muss das CardToken mit der zur SV-Nummer gehörenden e-card erstellt worden sein. Format: 10-stellig.
      Returns:
        SV-Nummer

    - #### setSvNummer

          public void setSvNummer(String svNummer)

    - #### getKonsultationId

          public Long getKonsultationId()

      Id der Konsultation.
      Format: maximal 19-stellig
      Returns:
        KonsultationsId

    - #### setKonsultationId

          public void setKonsultationId(Long konsultationId)

    - #### getAnamneseData

          public AnamneseData getAnamneseData()

      Anamnesedaten.
      Returns:
        Anamnesedaten
      See Also:
        `AnamneseData`

    - #### setAnamneseData

          public void setAnamneseData(AnamneseData anamneseData)

    - #### getEkvkPatient

          public EkvkPatient getEkvkPatient()

      Patientendaten eines Patienten ohne SV-Nummer.
      Es muss entweder eine `svNummer` oder ein mit e-card erstelltes `cardToken` oder ein `ekvkPatient` angegeben werden.
      Die Angabe ekvkPatient gemeinsam mit SV-Nummer und/oder CardToken wird nicht unterstützt.
      Returns:
        EkvkPatient
      See Also:
        `EkvkPatient`

    - #### setEkvkPatient

          public void setEkvkPatient(EkvkPatient ekvkPatient)

    - #### getErstellerId

          public String getErstellerId()

      Id des Erstellers.
      Format: maximal 20-stellig
      Returns:
        KonsultationsId

    - #### setErstellerId

          public void setErstellerId(String erstellerId)

    - #### getErstellerName

          public String getErstellerName()

      Name des Erstellers.
      Format: maximal 70-stellig
      Returns:
        KonsultationsId

    - #### setErstellerName

          public void setErstellerName(String erstellerName)